Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::RTORB Interface Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::RTORB:

[legend]
Collaboration diagram for RTCORBA::RTORB:

[legend]
List of all members.

## Public Types
typedef RTORB_ptr | _ptr_type
typedef RTORB_var | _var_type
## Public Methods
Mutex | create_mutex ()
void | destroy_mutex (in Mutex the_mutex)
Mutex | create_named_mutex (in string name, out boolean created_flag)
Mutex | open_named_mutex (in string name) raises (MutexNotFound)
TCPProtocolProperties | create_tcp_protocol_properties (in long send_buffer_size, in long recv_buffer_size, in boolean keep_alive, in boolean dont_route, in boolean no_delay)
ThreadpoolId | create_threadpool (in unsigned long stacksize, in unsigned long static_threads, in unsigned long dynamic_threads, in Priority default_priority, in boolean allow_request_buffering, in unsigned long max_buffered_requests, in unsigned long max_request_buffer_size)
ThreadpoolId | create_threadpool_with_lanes (in unsigned long stacksize, in ThreadpoolLanes lanes, in boolean allow_borrowing, in boolean allow_request_buffering, in unsigned long max_buffered_requests, in unsigned long max_request_buffer_size)
void | destroy_threadpool (in ThreadpoolId threadpool) raises (InvalidThreadpool)
PriorityModelPolicy | create_priority_model_policy (in PriorityModel priority_model, in Priority server_priority)
ThreadpoolPolicy | create_threadpool_policy (in ThreadpoolId threadpool)
PriorityBandedConnectionPolicy | create_priority_banded_connection_policy (in PriorityBands priority_bands)
ServerProtocolPolicy | create_server_protocol_policy (in ProtocolList protocols)
ClientProtocolPolicy | create_client_protocol_policy (in ProtocolList protocols)
PrivateConnectionPolicy | create_private_connection_policy ()
virtual::RTCORBA::Mutex_ptr | create_mutex (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | destroy_mutex (RTCORBA::Mutex_ptr the_mutex ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::Mutex_ptr | create_named_mutex (const char *name, CORBA::Boolean_out created_flag ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::Mutex_ptr | open_named_mutex (const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , RTCORBA::RTORB::MutexNotFound )
virtual::RTCORBA::TCPProtocolProperties_ptr | create_tcp_protocol_properties (CORBA::Long send_buffer_size, CORBA::Long recv_buffer_size, CORBA::Boolean keep_alive, CORBA::Boolean dont_route, CORBA::Boolean no_delay, CORBA::Boolean enable_network_priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual RTCORBA::ThreadpoolId | create_threadpool (CORBA::ULong stacksize, CORBA::ULong static_threads, CORBA::ULong dynamic_threads, RTCORBA::Priority default_priority, CORBA::Boolean allow_request_buffering, CORBA::ULong max_buffered_requests, CORBA::ULong max_request_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual RTCORBA::ThreadpoolId | create_threadpool_with_lanes (CORBA::ULong stacksize, const RTCORBA::ThreadpoolLanes &lanes, CORBA::Boolean allow_borrowing, CORBA::Boolean allow_request_buffering, CORBA::ULong max_buffered_requests, CORBA::ULong max_request_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | destroy_threadpool (RTCORBA::ThreadpoolId threadpool ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , RTCORBA::RTORB::InvalidThreadpool )
virtual::RTCORBA::PriorityModelPolicy_ptr | create_priority_model_policy (RTCORBA::PriorityModel priority_model, RTCORBA::Priority server_priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::ThreadpoolPolicy_ptr | create_threadpool_policy (RTCORBA::ThreadpoolId threadpool ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::PriorityBandedConnectionPolicy_ptr | create_priority_banded_connection_policy (const RTCORBA::PriorityBands &priority_bands ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::ServerProtocolPolicy_ptr | create_server_protocol_policy (const RTCORBA::ProtocolList &protocols ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::ClientProtocolPolicy_ptr | create_client_protocol_policy (const RTCORBA::ProtocolList &protocols ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::PrivateConnectionPolicy_ptr | create_private_connection_policy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
RTORB_ptr | _duplicate (RTORB_ptr obj)
RTORB_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
RTORB_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
RTORB_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| RTORB (void)
virtual | ~RTORB (void)
## Private Methods
| RTORB (const RTORB &)
void | operator= (const RTORB &)

## Member Typedef Documentation

typedef RTORB_ptr RTCORBA::RTORB::_ptr_type

| Reimplemented from CORBA_Object.

typedef RTORB_var RTCORBA::RTORB::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

RTCORBA::RTORB::RTORB | ( | void |  | ) | `[protected]`

virtual RTCORBA::RTORB::~RTORB | ( | void |  | ) | `[protected, virtual]`

RTCORBA::RTORB::RTORB | ( | const RTORB & |  | ) | `[private]`

## Member Function Documentation

RTORB_ptr RTCORBA::RTORB::_duplicate | ( | RTORB_ptr | obj | ) | `[static]`

virtual const char* RTCORBA::RTORB::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_Object.

RTORB_ptr RTCORBA::RTORB::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

RTORB_ptr RTCORBA::RTORB::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA_Object.

virtual void* RTCORBA::RTORB::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA_Object.

RTORB_ptr RTCORBA::RTORB::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual ::RTCORBA::ClientProtocolPolicy_ptr RTCORBA::RTORB::create_client_protocol_policy | ( | const RTCORBA::ProtocolList &protocols | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

ClientProtocolPolicy RTCORBA::RTORB::create_client_protocol_policy | ( | in ProtocolList | protocols | ) |

virtual ::RTCORBA::Mutex_ptr RTCORBA::RTORB::create_mutex | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

Mutex RTCORBA::RTORB::create_mutex | ( |  | ) |

virtual ::RTCORBA::Mutex_ptr RTCORBA::RTORB::create_named_mutex | ( | const char * | name,
|  | CORBA::Boolean_out created_flag | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

Mutex RTCORBA::RTORB::create_named_mutex | ( | in string | name,
|  | out boolean | created_flag
| ) |

virtual ::RTCORBA::PriorityBandedConnectionPolicy_ptr RTCORBA::RTORB::create_priority_banded_connection_policy | ( | const RTCORBA::PriorityBands &priority_bands | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

PriorityBandedConnectionPolicy RTCORBA::RTORB::create_priority_banded_connection_policy | ( | in PriorityBands | priority_bands | ) |

virtual ::RTCORBA::PriorityModelPolicy_ptr RTCORBA::RTORB::create_priority_model_policy | ( | RTCORBA::PriorityModel | priority_model,
|  | RTCORBA::Priority server_priority | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

PriorityModelPolicy RTCORBA::RTORB::create_priority_model_policy | ( | in PriorityModel | priority_model,
|  | in Priority | server_priority
| ) |

virtual ::RTCORBA::PrivateConnectionPolicy_ptr RTCORBA::RTORB::create_private_connection_policy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

PrivateConnectionPolicy RTCORBA::RTORB::create_private_connection_policy | ( |  | ) |

virtual ::RTCORBA::ServerProtocolPolicy_ptr RTCORBA::RTORB::create_server_protocol_policy | ( | const RTCORBA::ProtocolList &protocols | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

ServerProtocolPolicy RTCORBA::RTORB::create_server_protocol_policy | ( | in ProtocolList | protocols | ) |

virtual ::RTCORBA::TCPProtocolProperties_ptr RTCORBA::RTORB::create_tcp_protocol_properties | ( | CORBA::Long | send_buffer_size,
|  | CORBA::Long | recv_buffer_size,
|  | CORBA::Boolean | keep_alive,
|  | CORBA::Boolean | dont_route,
|  | CORBA::Boolean | no_delay,
|  | CORBA::Boolean enable_network_priority | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

TCPProtocolProperties RTCORBA::RTORB::create_tcp_protocol_properties | ( | in long | send_buffer_size,
|  | in long | recv_buffer_size,
|  | in boolean | keep_alive,
|  | in boolean | dont_route,
|  | in boolean | no_delay
| ) |

virtual RTCORBA::ThreadpoolId RTCORBA::RTORB::create_threadpool | ( | CORBA::ULong | stacksize,
|  | CORBA::ULong | static_threads,
|  | CORBA::ULong | dynamic_threads,
|  | RTCORBA::Priority | default_priority,
|  | CORBA::Boolean | allow_request_buffering,
|  | CORBA::ULong | max_buffered_requests,
|  | CORBA::ULong max_request_buffer_size | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

ThreadpoolId RTCORBA::RTORB::create_threadpool | ( | in unsigned long | stacksize,
|  | in unsigned long | static_threads,
|  | in unsigned long | dynamic_threads,
|  | in Priority | default_priority,
|  | in boolean | allow_request_buffering,
|  | in unsigned long | max_buffered_requests,
|  | in unsigned long | max_request_buffer_size
| ) |

virtual ::RTCORBA::ThreadpoolPolicy_ptr RTCORBA::RTORB::create_threadpool_policy | ( | RTCORBA::ThreadpoolId threadpool | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

ThreadpoolPolicy RTCORBA::RTORB::create_threadpool_policy | ( | in ThreadpoolId | threadpool | ) |

virtual RTCORBA::ThreadpoolId RTCORBA::RTORB::create_threadpool_with_lanes | ( | CORBA::ULong | stacksize,
|  | const RTCORBA::ThreadpoolLanes & | lanes,
|  | CORBA::Boolean | allow_borrowing,
|  | CORBA::Boolean | allow_request_buffering,
|  | CORBA::ULong | max_buffered_requests,
|  | CORBA::ULong max_request_buffer_size | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

ThreadpoolId RTCORBA::RTORB::create_threadpool_with_lanes | ( | in unsigned long | stacksize,
|  | in ThreadpoolLanes | lanes,
|  | in boolean | allow_borrowing,
|  | in boolean | allow_request_buffering,
|  | in unsigned long | max_buffered_requests,
|  | in unsigned long | max_request_buffer_size
| ) |

virtual void RTCORBA::RTORB::destroy_mutex | ( | RTCORBA::Mutex_ptr the_mutex | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

void RTCORBA::RTORB::destroy_mutex | ( | in Mutex | the_mutex | ) |

virtual void RTCORBA::RTORB::destroy_threadpool | ( | RTCORBA::ThreadpoolId threadpool | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , RTCORBA::RTORB::InvalidThreadpool )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

void RTCORBA::RTORB::destroy_threadpool | ( | in ThreadpoolId | threadpool | ) | raises (InvalidThreadpool)

virtual ::RTCORBA::Mutex_ptr RTCORBA::RTORB::open_named_mutex | ( | const char *name | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , RTCORBA::RTORB::MutexNotFound )`[pure virtual]`

| Reimplemented in TAO_RT_ORB.

Mutex RTCORBA::RTORB::open_named_mutex | ( | in string | name | ) | raises (MutexNotFound)

void RTCORBA::RTORB::operator= | ( | const RTORB & |  | ) | `[private]`

## Member Data Documentation

int RTCORBA::RTORB::_tao_class_id`[static]`

| Reimplemented from CORBA_Object.

The documentation for this interface was generated from the following files:

- RTCORBA.pidl
- RTCORBAC.h